/**************************************************************************//**
 * @file     main.c
 * @brief    Main program body
 * @version  V1.6.0
 * @date     31-Dec-2021
 *
 * @note
 * Copyright (C) 2021 Spintrol Limited Corporation. All rights reserved.
 *
 * @attention
 * THIS SOFTWARE JUST PROVIDES CUSTOMERS WITH CODING INFORMATION REGARDING 
 * THEIR PRODUCTS, WHICH AIMS AT SAVING TIME FOR THEM. SPINTROL SHALL NOT BE
 * LIABLE FOR THE USE OF THE SOFTWARE. SPINTROL DOES NOT GUARANTEE THE 
 * CORRECTNESS OF THIS SOFTWARE AND RESERVES THE RIGHT TO MODIFY THE SOFTWARE 
 * WITHOUT NOTIFICATION.
 *
 ******************************************************************************/

#include "spc2168.h"
#include <stdio.h>


 /*************************************************************************************************************************
 *
 * @brief      This demo is couple with 'DualCore_Access_UART_With_Message\MainCPU', they work together, CAU and Main CPU 
 *             use message box value to control possession of UART(who can use the print function).
 *
 *************************************************************************************************************************/


int main(void)
{
  /* Init CAU Condition Signal */
  MAILBOX->C2MMSG[0].all = 0;
  MAILBOX->C2MMSG[1].all = 0;
  
  while(1)
  {
    /* Main CPU request UART access */
    if(MAILBOX->M2CMSG[0].all == 1)
    {
      /* Acknowledge Main CPU access UART */
      MAILBOX->C2MMSG[1].all = 1;
      
      /* Wait Main CPU Release UART */
      while(MAILBOX->M2CMSG[0].all == 1);
      
      /* Non-Ack */
      MAILBOX->C2MMSG[1].all = 0;
    }
    else
    {
      /* CAU request UART access */
      MAILBOX->C2MMSG[0].all = 1;
      
      /* Wait Main CPU Ack */
      while(MAILBOX->M2CMSG[1].all == 1);
      
      printf("CAU Printf...\n");
      
      /* Release UART access */
      MAILBOX->C2MMSG[0].all = 0;
    }
  }
}

