/******************************************************************************
 * @file     configwords.c
 * @brief    Configuration Words
 * @version  V1.6.0
 * @date     31-Dec-2021
 *
 * @note
 * Copyright (C) 2020 Spintrol Limited. All rights reserved.
 *
 * @attention
 * THIS SOFTWARE JUST PROVIDES CUSTOMERS WITH CODING INFORMATION REGARDING 
 * THEIR PRODUCTS, WHICH AIMS AT SAVING TIME FOR THEM. SPINTROL SHALL NOT BE
 * LIABLE FOR THE USE OF THE SOFTWARE. SPINTROL DOES NOT GUARANTEE THE 
 * CORRECTNESS OF THIS SOFTWARE AND RESERVES THE RIGHT TO MODIFY THE SOFTWARE 
 * WITHOUT NOTIFICATION.
 *
 ******************************************************************************/


#include <stdint.h>





/**
 *  @brief  Configuration Words for the target chip
 *          Please see SPC2168 technical reference manual for details
 *  
 */
volatile const uint32_t gu32ConfigWords[66] __attribute__((at(0x11000600))) = 
{
  /* Zone 0 */
  0xFFFFFFFF,   /* ZONE0_INFO_LOCK   */
  0xFFFFFFFF,   /* ZONE0_ENCRYPT     */
  0xFFFFFFFF,   /* ZONE0_DECRYPT, must be 0xFFFFFFFF */
  0xFFFFFFFF,   /* ZONE0_FLASH_PROT  */
  0x10000000,   /* ZONE0_FLASH_ADDR  */
  0xFFFFFFFF,   /* ZONE0_RAM_PROT    */
  0x1FFF4000,   /* ZONE0_RAM_ADDR    */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  

  /* Zone 1 */
  0xFFFFFFFF,   /* ZONE1_INFO_LOCK   */
  0xFFFFFFFF,   /* ZONE1_ENCRYPT     */
  0xFFFFFFFF,   /* ZONE1_DECRYPT, must be 0xFFFFFFFF */
  0xFFFFFFFF,   /* ZONE1_FLASH_PROT  */
  0x10008000,   /* ZONE1_FLASH_ADDR  */
  0xFFFFFFFF,   /* ZONE1_RAM_PROT    */
  0x1FFF7000,   /* ZONE1_RAM_ADDR    */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */


  /* Zone 2 */
  0xFFFFFFFF,   /* ZONE2_INFO_LOCK   */
  0xFFFFFFFF,   /* ZONE2_ENCRYPT     */
  0xFFFFFFFF,   /* ZONE2_DECRYPT, must be 0xFFFFFFFF */
  0xFFFFFFFF,   /* ZONE2_FLASH_PROT  */
  0x10010000,   /* ZONE2_FLASH_ADDR  */
  0xFFFFFFFF,   /* ZONE2_RAM_PROT    */
  0x1FFFA000,   /* ZONE2_RAM_ADDR    */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  
  
  /* Zone 3 */
  0xFFFFFFFF,   /* ZONE3_INFO_LOCK   */
  0xFFFFFFFF,   /* ZONE3_ENCRYPT     */
  0xFFFFFFFF,   /* ZONE3_DECRYPT, must be 0xFFFFFFFF */
  0xFFFFFFFF,   /* ZONE3_FLASH_PROT  */
  0x10010000,   /* ZONE3_FLASH_ADDR  */
  0xFFFFFFFF,   /* ZONE3_RAM_PROT    */
  0x1FFFA000,   /* ZONE3_RAM_ADDR    */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  0xFFFFFFFF,   /* RESERVED          */
  
  
  /* WDT */
  0xFFFFFFFF,   /* WDT_ENABLE        */
  
  
  /* Cache */
  0xFFFFFFFF,   /* CACHE_ENABLE      */
};


/******************* (C) COPYRIGHT 2020 SPINTROL LIMITED ***** END OF FILE ****/
